<?php

header('Access-Control-Allow-Origin: *');
include('../conectardb.php');

$nombres        = $_POST['nombres'];
$apellidos      = $_POST['apellidos'];
$ide            = trim($_POST['ide']);
$edad           = $_POST['edad'];
$codigo_nucleo  = trim($_POST['codigo_nucleo']);

$datime_space = "PS".date("mdHis", time());

// $correo = "1122334455662@ok.com";// trim($_POST['correo']);


$query_search_id = 'SELECT * FROM usuario_area where idocupante=\''.$ide.'\'';
    if (!$result_ide = mysqli_query($con, $query_search_id)) {
        exit(mysqli_error());
    } 

    if(mysqli_num_rows($result_ide) > 0) {       

        $sql ="UPDATE usuario_area Set nombres='$nombres', apellidos='$apellidos', apellidos='$apellidos', estado= 1 Where idocupante='$ide'";
        $query = mysqli_query($con, $sql)  or die ('Operación NO efectuada: '.mysqli_error());

        $response['status'] = 300;
       $response['message'] = "este ID ya existe, fue actualizado";  

    }else{ 

        $query_insert ="INSERT INTO usuario_area(idocupante, code_reserva, nombres, apellidos, estado, edad, codigo_nucleo)VALUES ('$ide', '$datime_space','$nombres','$apellidos', 1, '$edad', '$codigo_nucleo');";

        if (!$result_insert = mysqli_query($con, $query_insert)) {
        exit(mysqli_error());
            // registro falló
            $response['status'] = 100;
            $response['message'] = "registro falló";
        exit(); 
        }
        else
        {               
            // registro exitoso
          $response['status'] = 200;
          $response['message'] = "registro exitoso";
        }

    }

    echo json_encode($response);

    mysqli_close($con);

 

?>